@table(Name, Path, IsPermanent) assets_desc:
{
	{ None,                      "",                                      true }
	{ Error,                     "backgrounds/unknown.png",               true }
	
	////////////////////////////////
	//~ sixten: backgrounds
	{ DemoBackground,            "backgrounds/test.jpg",                  false }
	{ DDLCBackground,            "backgrounds/ddlc.png",                  false }
	
	////////////////////////////////
	//~ sixten: characters
	
	//- sixten: arthur
	{ ArthurNormal,              "characters/test_normal.png",            false }
	{ ArthurHappy,               "characters/test_happy.png",             false }
	
	//- sixten: monika
	{ MonikaLeaning,             "characters/monika_leaning.png",         false }
	
}


@table_gen
{
	`typedef s32 asset_id;`
		`enum`
		`{`
			@expand(assets_desc s) `AssetID_$(s.Name),`;
		`AssetID_COUNT,`;
		`};`
}

@table_gen_data(`char *`) AssetPathLUT:
{
	@expand(assets_desc s)
		`"$(s.Path)",`;
}

@table_gen_data(`bool`) AssetIsPermanentLUT:
{
	@expand(assets_desc s)
		`$(s.IsPermanent),`;
}

@table_gen_data(`char *`) AssetNameLUT:
{
	@expand(assets_desc s)
		`"$(s.Name)",`;
}